# Uses of Class
org.snpeff.interval.ProteinInteractionLocus

Packages that use ProteinInteractionLocus
Package
Description
org.snpeff.interval

## Uses of ProteinInteractionLocus in org.snpeff.interval

Subclasses of ProteinInteractionLocus in org.snpeff.interval
Modifier and Type
Class
Description
`class`
`ProteinProteinInteractionLocus`
Protein interaction: An amino acid that is "in contact" with another amino acid within the same protein.
`class`
`ProteinStructuralInteractionLocus`
Protein interaction: An amino acid that is "in contact" with another amino acid.
Methods in org.snpeff.interval that return ProteinInteractionLocus
Modifier and Type
Method
Description
`ProteinInteractionLocus`
ProteinInteractionLocus.`cloneShallow()`
Methods in org.snpeff.interval that return types with arguments of type ProteinInteractionLocus
Modifier and Type
Method
Description
`static List<ProteinInteractionLocus>`
ProteinInteractionLocus.`factory(Transcript tr, int aaPos, Transcript trInteract, String id)`
Create interaction.